/*
=============== 
Fonts
===============
*/
@import url("https://fonts.googleapis.com/css?family=Catamaran:400,700|Grand+Hotel");

/*
=============== 
Variables
===============
*/

:root {
  --clr-primary: rgb(248, 12, 12);
  --clr-primary-light: rgb(226, 144, 135);
  --clr-grey-1: #102a42;
  --clr-grey-5: #617d98;
  --clr-grey-10: #f1f5f8;
  --clr-white: #fff;
  --ff-primary: "Catamaran", sans-serif;
  --ff-secondary: "Grand Hotel", cursive;
  --transition: all 0.3s linear;
  --spacing: 0.25rem;
  --radius: 0.5rem;
}
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
body {
  font-family: var(--ff-primary);
  background: var(--clr-white);
  color: var(--clr-grey-1);
  line-height: 1.5;
  font-size: 0.875rem;
}
a {
  text-decoration: none;
}
img {
  width: 100%;
  display: block;
}
h1,
h2,
h3,
h4 {
  letter-spacing: var(--spacing);
  text-transform: capitalize;
  line-height: 1.25;
  margin-bottom: 0.75rem;
}
h1 {
  font-size: 3rem;
}
h2 {
  font-size: 2rem;
}
h3 {
  font-size: 1.5rem;
}
h4 {
  font-size: 0.875rem;
}
p {
  margin-bottom: 1.25rem;
}
ul {
  list-style-type: none;
}
@media screen and (min-width: 800px) {
  h1 {
    font-size: 4rem;
  }
  h2 {
    font-size: 2.5rem;
  }
  h3 {
    font-size: 2rem;
  }
  h4 {
    font-size: 1rem;
  }
  body {
    font-size: 1rem;
  }
  h1,
  h2,
  h3,
  h4 {
    line-height: 1;
  }
}
/* more global css */

.btn {
  text-transform: uppercase;
  background: var(--clr-primary);
  color: var(--clr-white);
  padding: 0.375rem 0.75rem;
  letter-spacing: var(--spacing);
  display: inline-block;
  font-weight: 700;
  transition: var(--transition);
  font-size: 0.875rem;
  border: none;
  cursor: pointer;
  box-shadow: 0 1px 3px rgba(0, 0, 0, 0.2);
}
.btn:hover {
  color: var(--clr-primary);
  background: var(--clr-primary-light);
}
.clearfix::after,
.clearfix::before {
  content: "";
  clear: both;
  display: table;
}
.section-title h3 {
  font-family: var(--ff-secondary);
  color: var(--clr-primary);
}
.section-title {
  margin-bottom: 2rem;
}
.section-title-services {
  text-align: center;
  padding-top: 2rem;
  margin-bottom: 2rem;
}
.section-center {
  padding: 4rem 0;
  width: 85vw;
  margin: 0 auto;
  max-width: 1170px;
}
@media screen and (min-width: 992px) {
  .section-center {
    width: 95vw;
    padding: 4rem 1rem;
  }
}
/*
=============== 
Animation
===============
*/
@keyframes bounce {
  0% {
    transform: scale(1);
  }
  50% {
    transform: scale(2);
  }
  100% {
    transform: scale(1);
  }
}
@keyframes slideFromRight {
  0% {
    transform: translateX(1000px);
    opacity: 0;
  }
  50% {
    transform: translateX(-200px);
    opacity: 0.5;
  }
  75% {
    transform: translateX(50px);
    opacity: 0.75;
  }
  100% {
    transform: translateX(0px);
    opacity: 1;
  }
}
@keyframes slideFromLeft {
  0% {
    transform: translateX(-1000px);
    opacity: 0;
  }
  50% {
    transform: translateX(200px);
    opacity: 0.5;
  }
  75% {
    transform: translateX(-50px);
    opacity: 0.75;
  }
  100% {
    transform: translateX(0px);
    opacity: 1;
  }
}
@keyframes show {
  0% {
    transform: scale(1.5);
    opacity: 0;
  }
  50% {
    transform: scale(2);
    opacity: 0.5;
  }
  100% {
    transform: scale(1);
    opacity: 1;
  }
}
/*
=============== 
Navbar
===============
*/
.navbar {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  background: var(--clr-white);
  box-shadow: var(--dark-shadow);
  z-index: 2;
}
.nav-icons {
  display: none;
}
.nav-center {
  width: 100%;
  max-width: 1570px;
  margin: 0 auto;
}
.nav-header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 1rem 2rem;
}
.nav-toggle {
  background: transparent;
  border: transparent;
  font-size: 1.5rem;
  color: var(--clr-primary-5);
  cursor: pointer;
  transition: var(--transition);
}
.nav-toggle:hover {
  transform: scale(1.2);
}
.nav-link {
  display: block;
  padding: 1rem 2rem;
  text-transform: capitalize;
  letter-spacing: var(--spacing);
  transition: var(--transition);
  color: var(--clr-grey-1);
  cursor: pointer;
  font-size: 1rem;
}
.nav-link:hover {
  color: var(--clr-primary-1);
  background: var(--clr-primary-8);
  padding-left: 2.25rem;
}
/* 280px */
.nav-links {
  height: 0;
  overflow: hidden;
  transition: var(--transition);
}
.show-links {
  height: 280px;
}
.nav-logo {
  max-height: 10%;
  max-width: 10%;
}
@media screen and (min-width: 992px) {
  /* hide toggle button */
  .navbar {
    padding: 1rem 2rem;
  }
  .nav-toggle {
    display: none;
  }
  .nav-center {
    display: flex;
    justify-content: space-between;
    align-items: center;
    /* optional */
    flex-wrap: wrap;
  }
  .nav-center > div {
    flex: 0 0 23.333%;
  }
  .nav-links {
    height: auto;
    display: flex;
    text-align: center;
  }
  .nav-header {
    padding: 0 0;
    display: flex;
  }
  .nav-header-logo {
    display: flex;
  }
  .nav-header-item {
    margin-left: 1rem;
  }
  .nav-link {
    padding: 0 0;
    margin-right: 0.7rem;
  }
  .nav-link:hover {
    padding: 0;
    color: var(--clr-primary-5);
    background: transparent;
  }
  .nav-icons {
    display: flex;
  }
  .nav-icon {
    margin-right: 0.7rem;
    color: var(--clr-primary-5);
    font-size: 2rem;
    transition: var(--transition);
  }
  .nav-icon:hover {
    color: var(--clr-primary-1);
  }
  .nav-logo {
    height: 55px;
    max-width: 100%;
  }
}
/*
=============== 
Header
===============
*/
.header {
  min-height: 80vh;
  background: linear-gradient(rgba(0, 0, 0, 0.6), rgba(0, 0, 0, 0.6)),
    url("../images/download.jpeg") center/cover no-repeat fixed;
  position: relative;
  /* animation */
  /* overflow-x: hidden; */
}
.banner {
  text-align: center;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}
.banner h2 {
  font-family: var(--ff-secondary);
  color: var(--clr-primary);
  /* animation */
  animation: slideFromRight 5s ease-in-out 1;
}
.banner h1 {
  text-transform: uppercase;
  color: var(--clr-white);
  margin-top: 1.25rem;
  margin-bottom: 2rem;
  /* animation */
  animation: slideFromLeft 5s ease-in-out 1;
}
.banner-btn {
  outline: 0.125rem solid var(--clr-primary);
  outline-offset: 0.25rem;
  font-size: 1.25rem;
  padding: 1rem 1.75rem;
  animation: show 5s linear 1;
}
/* content divider */
.content-divider {
  height: 0.5rem;
  background: linear-gradient(
    to left,
    var(--clr-primary),
    #e9b949,
    var(--clr-primary)
  );
}
/*
=============== 
Skills
===============
*/

.skills {
  background: var(--clr-grey-10);
}
.skill {
  padding: 2.5rem 0;
  text-align: center;
  transition: var(--transition);
}
.skill-icon {
  font-size: 2.5rem;
  margin-bottom: 1.25rem;
  transition: var(--transition);
  display: inline-block;
  color: var(--clr-primary);
}
.skill-text {
  color: var(--clr-grey-5);
  max-width: 17rem;
  margin: 0 auto;
}
.skill:hover {
  background: var(--clr-white);
  box-shadow: 0 2px var(--clr-primary);
}
.skill:hover .skill-icon {
  transform: translateY(-5px);
}
@media screen and (min-width: 576px) {
  .skill {
    float: left;
    width: 50%;
  }
}
@media screen and (min-width: 1200px) {
  .skill {
    width: 25%;
  }
}
/*
=============== 
About
===============
*/
.about-img,
.about-info {
  padding: 2rem 0;
}
.about-picture-container {
  /* margin-top: 18%; */
  background: var(--clr-primary);
  border: 0.5rem solid var(--clr-primary);
  max-width: 30rem;
  /* extra stuff */
  overflow: hidden;
}
.about-picture {
  transition: var(--transition);
  height: 100%;
}
.about-picture-container:hover .about-picture {
  opacity: 0.5;
  /* transform: scale(1.2); */
}
.about-text {
  max-width: 26rem;
  color: var(--clr-grey-5);
}
.about-text-sub {
  max-width: 26rem;

  color: var(--clr-primary);
  font-weight: bold;
}
@media screen and (min-width: 992px) {
  .about-img,
  .about-info {
    float: left;
    width: 50%;
  }
  .about-info {
    padding-left: 2rem;
  }
  .about-picture-container {
    margin-top: 18%;
    /* background: var(--clr-primary);
    border: 0.5rem solid var(--clr-primary);
    max-width: 30rem;
    /* extra stuff */
    overflow: hidden;
  }
  .about-text {
    max-width: 46rem;
    color: var(--clr-grey-5);
  }
}
/*
=============== 
Products
===============
*/
.products {
  background: var(--clr-grey-10);
}
.products article {
  padding: 2rem 0;
}

.product-text {
  color: var(--clr-grey-5);
  max-width: 26rem;
}
.product {
  margin-bottom: 2rem;
}
.product-img {
  border-radius: var(--radius);
  margin-bottom: 2rem;
  height: 17rem;
  object-fit: cover;
}
.product-price {
  color: var(--clr-primary);
}
@media screen and (min-width: 768px) {
  .product {
    float: left;
    width: 50%;
    padding-right: 2rem;
  }
}
@media screen and (min-width: 992px) {
  .product {
    width: 33.3%;
  }
}
@media screen and (min-width: 1200px) {
  .products-info {
    float: left;
    width: 30%;
  }
  .products-inventory {
    float: left;
    width: 70%;
  }
  .product {
    margin-bottom: 0;
    padding: 0 1rem;
  }
}
/*
=============== 
Services
===============
*/
.service-bg {
  /* background: url("../images/Service.jpg") center/cover no-repeat; */
}
.services {
  background: var(--clr-grey-10);
}
.service {
  text-align: center;
  margin-bottom: 3rem;
}
.service-icon {
  background-color: var(--clr-primary-5);
  color: var(--clr-primary);
  font-size: 3rem;
  padding: 1rem;
  margin-bottom: 2rem;
  display: inline-block;
}
.service-text {
  max-width: 20rem;
  /* margin-left: auto; */
  margin-right: auto;
}

@media screen and (min-width: 576px) {
  .services-center {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
  }
  .service {
    flex: 0 0 calc(45% - 1rem);
    margin-bottom: 1rem;
  }
}
@media screen and (min-width: 876px) {
  .service {
    flex: 0 0 calc(30%-1rem);
  }
}
@media screen and (min-width: 1176px) {
  .service-icon {
    align-self: flex-start;
  }
  .service {
    display: flex;
    text-align: left;
  }
  .service-info {
    padding-left: 1rem;
  }
  .service-title {
    margin-bottom: 0.5rem;
  }
}
/*
=============== 
Contact
===============
*/
.contact {
  background: var(--clr-grey-10);
}

.contact-info {
  margin: 1rem 0;
}
.contact-item {
  margin-bottom: 1.75rem;
}
.contact-title {
  color: var(--clr-primary);
  font-weight: 400;
}
.contact-text {
  text-transform: uppercase;
}
.contact-text-link {
  text-decoration: underline;
  color: var(--ff-primary);
}
.contact-icon,
a > .contact-icon:visited {
  color: var(--clr-primary);
}
.contact-text-link:hover {
  font-weight: bold;
  color: var(--clr-primary);
}
a > .contact-text-link:visited {
  color: var(--ff-primary);
}
.video {
  width: 100%;
}

@media screen and (min-width: 992px) {
  .contact-form,
  .contact-info {
    float: left;
    width: 50%;
  }
}
/*
=============== 
Footer
===============
*/
.footer {
  background: #222;
  text-align: center;
}
.social-icon {
  color: var(--clr-white);
  font-size: 1.5rem;
  margin-right: 1rem;
  transition: var(--transition);
}
.social-icon:hover {
  color: var(--clr-primary);
}
.footer-text {
  margin-top: 1.25rem;
  text-transform: uppercase;
  color: var(--clr-white);
  font-weight: 400;
}
.company {
  color: var(--clr-primary);
}
